Imports System.IO
Imports EgtBEAMWALL.Core
Imports EgtUILib

Public Class ProdFileVM
   Inherits Core.ProdFileVM

#Region "CONSTRUCTORS"

   Sub New(ProdFileM As ProdFileM)
      MyBase.New(ProdFileM)
      ' aggiungo nome btl
      Dim sBTLFileName As String = ""
      For Each CurrProj In nProjIdList
         Dim TempProj As ProjFileM = DbControllers.m_ProjController.FindByProjIdConv(CurrProj)
         If Not IsNothing(TempProj) Then sBTLFileName &= TempProj.sListName
      Next
      SetBTLFileName(sBTLFileName)
   End Sub

#End Region    ' CONSTRUCTORS

End Class